wxColourPickerEvent(3)

NAME
wxColourPickerEvent - This event class is used for the events generated by wxColourPickerCtrl.

DESCRIPTION

See: wxColourPickerCtrl

This class is derived, and can use functions, from:

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxColourPickerEvent

  Events

Use wxEvtHandler:connect/3 with wxColourPickerEventType to subscribe to events of this type.

DATA TYPES

wxColourPicker() :: #wxColourPicker{}.
wxColourPickerEvent() :: wx:wx_object().
wxColourPickerEventType() :: command_colourpicker_changed.

FUNCTIONS

getColour(This) -> wx:wx_colour4() when This :: wxColourPickerEvent().

    Retrieve the colour the user has just selected.